* Figure 3.7
clear all
set more off

use WVS_QOG, clear // World value survey means, wave 5 only, with Quality of Government data from Uni. Gothenburg

/* The PERMISSIVE, AUTHORITATIVE, AUTHORITARIAN variables were generated from
the question asking parent to praise obedience, imagination, hark work, independence
*PERMISSIVE: Praising Imagination or Independe (or both), No Hard Work No Obedience 
*AUTHORITATIVE: Praising Hard Work, No Obedience
*AUTHORITARIAN: Praising Obedience
*/

* Label 
lab var avffp "Quality of Governance index"

*Creation of an increasing variable
gen avffp_rev=5.653436-avffp
replace avffp_rev=1+avffp_rev // rescale 1-6

* multiply by 100 the index to have percentage on the y-axis
replace permissive=100*permissive
replace authoritative=100*authoritative
replace authoritarian=100*authoritarian

* Graphs
twoway (scatter permissive avffp_rev, mlabel(country) mlabsize(vsmall) mlabposition(1) color(black) mlabcol(black)) (lfit permissive avffp_rev, lcolor(gray)),  ///
ytitle("Permissive parents (%)") graphregion(color(white)) legend(off) xtitle("Human rights protection")  /// 
yscale(range(5 80)) ylabel(5 (15) 80) xscale(range(1 5)) xlabel(1 (1) 6)
graph save "ffp_hr_permissiverev_fv.gph", replace

twoway (scatter authoritative avffp_rev, mlabel(country) mlabsize(vsmall) mlabposition(1) color(black) mlabcol(black)) (lfit authoritative avffp_rev, lcolor(gray)),  ///
ytitle("Authoritative parents (%)") graphregion(color(white)) legend(off) xtitle("Human rights protection")  /// 
yscale(range(5 80)) ylabel(5 (15) 80) xscale(range(1 5)) xlabel(1 (1) 6)
graph save "ffp_hr_authoritativerev_fv.gph", replace

twoway (scatter authoritarian avffp_rev, mlabel(country) mlabsize(vsmall) mlabposition(1) color(black) mlabcol(black)) (lfit authoritarian avffp_rev, lcolor(gray)),  ///
ytitle("Authoritarian parents (%)") graphregion(color(white)) legend(off) xtitle("Human rights protection")  /// 
yscale(range(5 80)) ylabel(5 (15) 80) xscale(range(1 5)) xlabel(1 (1) 6)
graph save "ffp_hr_authoritarianrev_fv.gph", replace

* Combine the graphs
graph combine  ///
 "ffp_hr_permissiverev_fv.gph" "ffp_hr_authoritativerev_fv.gph" "ffp_hr_authoritarianrev_fv.gph", rows(1) ysize(5) xsize(15) graphregion(color(white)) altshrink  
 
graph save "Figure3.7rev_fv.gph", replace

***************************************
