* Numbers reported in Chapter 3
clear all
set more off 

********************************
*DESCRIPTIVES CHILD QUALITIES (p. 89 and peppered throughout)
********************************

use OECD5w_RusChi.dta, clear

*Important criteria: Only considered individuals stating at least one of the four variables 
drop if child_imag==0 & child_ind==0 & child_hardwork==0 & child_obed==0

*****
*HARD WORK
*UNITED STATES (840)
tab child_hardwork if country=="United States" & wave==5
*SWEDEN
tab child_hardwork if country=="Sweden" & wave==5
*NORWAY
tab child_hardwork if country=="Norway" & wave==5
*FINLAND
tab child_hardwork if country=="Finland" & wave==5
*GERMANY
tab child_hardwork if country=="Germany" & wave==5
*ITALY
tab child_hardwork if country=="Italy" & wave==5
*AUSTRALIA
tab child_hardwork if country=="Australia" & wave==5
*CHINA
tab child_hardwork if country=="China" & wave==5
*RUSSIA
tab child_hardwork if country=="Russia" & wave==5

*****
*INDEPENDENCE
*UNITED STATES
tab child_ind if country=="United States" & wave==5
*SWEDEN
tab child_ind if country=="Sweden" & wave==5
*NORWAY
tab child_ind if country=="Norway" & wave==5
*FINLAND
tab child_ind if country=="Finland" & wave==5
*GERMANY
tab child_ind if country=="Germany" & wave==5
*ITALY
tab child_ind if country=="Italy" & wave==5
*AUSTRALIA
tab child_ind if country=="Australia" & wave==5
*JAPAN
tab child_ind if country=="Japan" & wave==5

******
*IMAGINATION
*SWEDEN
tab child_imag if country=="Sweden" & wave==5
*NORWAY
tab child_imag if country=="Norway" & wave==5
*FINLAND
tab child_imag if country=="Finland" & wave==5
*TURKEY
tab child_imag if country=="Turkey" & wave==5
*ITALY
tab child_imag if country=="Italy" & wave==5
*GERMANY
tab child_imag if country=="Germany" & wave==5
*CHINA
tab child_imag if country=="China" & wave==5
*RUSSIA
tab child_imag if country=="Russia" & wave==5

*******
*OBEDIENCE
*GERMANY
tab child_obed if country=="Germany" & wave==5

****************************************************
*DESCRIPTIVES PARENTING STYLES, p. 107 
****************************************************

use WVS_OECD, clear


collapse permissive authoritative authoritarian dec9_1 oecd_founders, by(country country_num year wave country3l_wave)


list wave authoritative if country=="United States"



***************************
log close
